<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">Error Codes</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base error code for the EDMA module is defined in the.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga81427540da54ed9f9b56bfcb044b30b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga81427540da54ed9f9b56bfcb044b30b9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga81427540da54ed9f9b56bfcb044b30b9">EDMA_E_INVALID__HANDLE_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-0)</td></tr>
<tr class="memdesc:ga81427540da54ed9f9b56bfcb044b30b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle argument is NULL pointer. <br /></td></tr>
<tr class="separator:ga81427540da54ed9f9b56bfcb044b30b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga985de671cbf8273d1a37f72572b2a1f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga985de671cbf8273d1a37f72572b2a1f7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga985de671cbf8273d1a37f72572b2a1f7">EDMA_E_INVALID__CONFIG_POINTER_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-1)</td></tr>
<tr class="memdesc:ga985de671cbf8273d1a37f72572b2a1f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config argument is NULL pointer. <br /></td></tr>
<tr class="separator:ga985de671cbf8273d1a37f72572b2a1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6509431c12aec5ddb37dd699a7fa541d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga6509431c12aec5ddb37dd699a7fa541d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga6509431c12aec5ddb37dd699a7fa541d">EDMA_E_INVALID__DMA_CHANNEL_TYPE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-2)</td></tr>
<tr class="memdesc:ga6509431c12aec5ddb37dd699a7fa541d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's channelType is invalid. <br /></td></tr>
<tr class="separator:ga6509431c12aec5ddb37dd699a7fa541d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c58cae5a7d563517faee9fbe79a8b05"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7c58cae5a7d563517faee9fbe79a8b05"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga7c58cae5a7d563517faee9fbe79a8b05">EDMA_E_INVALID__DMA_CHANNEL_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-3)</td></tr>
<tr class="memdesc:ga7c58cae5a7d563517faee9fbe79a8b05"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's channelId out of range. <br /></td></tr>
<tr class="separator:ga7c58cae5a7d563517faee9fbe79a8b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga89d2f31b6fbf50ed1b8802d7cf248b06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga89d2f31b6fbf50ed1b8802d7cf248b06"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga89d2f31b6fbf50ed1b8802d7cf248b06">EDMA_E_INVALID__PARAM_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-4)</td></tr>
<tr class="memdesc:ga89d2f31b6fbf50ed1b8802d7cf248b06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's paramId out of range. <br /></td></tr>
<tr class="separator:ga89d2f31b6fbf50ed1b8802d7cf248b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga128fba8450789598341d4ba5c498bf0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga128fba8450789598341d4ba5c498bf0d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga128fba8450789598341d4ba5c498bf0d">EDMA_E_INVALID__EVENT_QUEUE_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-5)</td></tr>
<tr class="memdesc:ga128fba8450789598341d4ba5c498bf0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's eventQueueId out of range. <br /></td></tr>
<tr class="separator:ga128fba8450789598341d4ba5c498bf0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1257a7071f7d691df8bbef3f750159ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga1257a7071f7d691df8bbef3f750159ff"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga1257a7071f7d691df8bbef3f750159ff">EDMA_E_INVALID__TRNSFR_COMPLETION_PARAMS</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-6)</td></tr>
<tr class="memdesc:ga1257a7071f7d691df8bbef3f750159ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's both interrupt completion flags are false but transfer completion call back function is configured (non NULL). <br /></td></tr>
<tr class="separator:ga1257a7071f7d691df8bbef3f750159ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab354653f8b3ca3a46aba4437074a4acb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab354653f8b3ca3a46aba4437074a4acb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gab354653f8b3ca3a46aba4437074a4acb">EDMA_E_INVALID__TRANSFER_COMPLETION_CODE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-7)</td></tr>
<tr class="memdesc:gab354653f8b3ca3a46aba4437074a4acb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's transferCompletionCode is invalid. <br /></td></tr>
<tr class="separator:gab354653f8b3ca3a46aba4437074a4acb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61fb03320a92f8176a67d9977a5d0bbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga61fb03320a92f8176a67d9977a5d0bbf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga61fb03320a92f8176a67d9977a5d0bbf">EDMA_E_INVALID__TRANSFER_TYPE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-8)</td></tr>
<tr class="memdesc:ga61fb03320a92f8176a67d9977a5d0bbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config's transferType is invalid. <br /></td></tr>
<tr class="separator:ga61fb03320a92f8176a67d9977a5d0bbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac44223cf9894ff14bed5d442e44513a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac44223cf9894ff14bed5d442e44513a0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gac44223cf9894ff14bed5d442e44513a0">EDMA_E_INVALID__QDMA_CHANNEL_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-9)</td></tr>
<tr class="memdesc:gac44223cf9894ff14bed5d442e44513a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid Qdma channelId. <br /></td></tr>
<tr class="separator:gac44223cf9894ff14bed5d442e44513a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a3f6333dd45aac1cc4f8ec435e236e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9a3f6333dd45aac1cc4f8ec435e236e5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga9a3f6333dd45aac1cc4f8ec435e236e5">EDMA_E_INVALID__INSTANCE_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-10)</td></tr>
<tr class="memdesc:ga9a3f6333dd45aac1cc4f8ec435e236e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid Instance Id during open. <br /></td></tr>
<tr class="separator:ga9a3f6333dd45aac1cc4f8ec435e236e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f616084491cb2c2186dd6466e32343b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4f616084491cb2c2186dd6466e32343b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga4f616084491cb2c2186dd6466e32343b">EDMA_E_INVALID__QDMA_TRIGGER_WORD</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-11)</td></tr>
<tr class="memdesc:ga4f616084491cb2c2186dd6466e32343b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid QDMA trigger word. <br /></td></tr>
<tr class="separator:ga4f616084491cb2c2186dd6466e32343b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabce5efccae641c7c3c7f014cd7ad95a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabce5efccae641c7c3c7f014cd7ad95a1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gabce5efccae641c7c3c7f014cd7ad95a1">EDMA_E_INVALID__TRANSFER_CONTROLLER_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-12)</td></tr>
<tr class="memdesc:gabce5efccae641c7c3c7f014cd7ad95a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid transfer controller Id. <br /></td></tr>
<tr class="separator:gabce5efccae641c7c3c7f014cd7ad95a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4041dfeb25da17fcd57d51fe546a9ca7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4041dfeb25da17fcd57d51fe546a9ca7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga4041dfeb25da17fcd57d51fe546a9ca7">EDMA_E_INVALID__TRANSFER_CONTROLLER_READ_RATE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-13)</td></tr>
<tr class="memdesc:ga4041dfeb25da17fcd57d51fe546a9ca7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid transfer controller read rate. <br /></td></tr>
<tr class="separator:ga4041dfeb25da17fcd57d51fe546a9ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e48d62b0b6205c0f32acb71f5db3576"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3e48d62b0b6205c0f32acb71f5db3576"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga3e48d62b0b6205c0f32acb71f5db3576">EDMA_E_INVALID__QUEUE_PRIORITY</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-14)</td></tr>
<tr class="memdesc:ga3e48d62b0b6205c0f32acb71f5db3576"><td class="mdescLeft">&#160;</td><td class="mdescRight">Invalid queue priority in performance config. <br /></td></tr>
<tr class="separator:ga3e48d62b0b6205c0f32acb71f5db3576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e4630cf2da00d74d1524e90b2e79cbf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9e4630cf2da00d74d1524e90b2e79cbf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga9e4630cf2da00d74d1524e90b2e79cbf">EDMA_E_INVALID__EVENT_QUEUE_THRESHOLD</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-15)</td></tr>
<tr class="memdesc:ga9e4630cf2da00d74d1524e90b2e79cbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a>, unexpected QDMA miss event detected. <br /></td></tr>
<tr class="separator:ga9e4630cf2da00d74d1524e90b2e79cbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab5669e4b1c6198aeab8a27fa56e95a54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab5669e4b1c6198aeab8a27fa56e95a54"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gab5669e4b1c6198aeab8a27fa56e95a54">EDMA_E_INVALID__PARAM_ID_NOT_SAME_AS_CHANNEL_ID</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-16)</td></tr>
<tr class="memdesc:gab5669e4b1c6198aeab8a27fa56e95a54"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga6ad6811ea84891bdb4dcedfed802a797">EDMA_configChannel</a>, param ID must be same as channel ID for DMA channel because channel mapping does not exist in the hardware. <br /></td></tr>
<tr class="separator:gab5669e4b1c6198aeab8a27fa56e95a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae655fe5edee5238b477a5ba2cd001f10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae655fe5edee5238b477a5ba2cd001f10"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gae655fe5edee5238b477a5ba2cd001f10">EDMA_E_INVALID__STATUS_POINTER_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-17)</td></tr>
<tr class="memdesc:gae655fe5edee5238b477a5ba2cd001f10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status argument is NULL pointer. <br /></td></tr>
<tr class="separator:gae655fe5edee5238b477a5ba2cd001f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab5ad2cbffce807b699dd7093b0187de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaab5ad2cbffce807b699dd7093b0187de"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gaab5ad2cbffce807b699dd7093b0187de">EDMA_E_INVALID__INSTANCEINFO_POINTER_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-18)</td></tr>
<tr class="memdesc:gaab5ad2cbffce807b699dd7093b0187de"><td class="mdescLeft">&#160;</td><td class="mdescRight">InstanceInfo argument is NULL pointer. <br /></td></tr>
<tr class="separator:gaab5ad2cbffce807b699dd7093b0187de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc6edd22c04e815a6bcbde1a6063e413"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabc6edd22c04e815a6bcbde1a6063e413"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gabc6edd22c04e815a6bcbde1a6063e413">EDMA_E_UNEXPECTED__DMA_EVENT_MISS_DETECTED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-25)</td></tr>
<tr class="memdesc:gabc6edd22c04e815a6bcbde1a6063e413"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a>, unexpected DMA miss event detected. <br /></td></tr>
<tr class="separator:gabc6edd22c04e815a6bcbde1a6063e413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae154eaa7742103854aa852d2d6e1ce3d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae154eaa7742103854aa852d2d6e1ce3d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gae154eaa7742103854aa852d2d6e1ce3d">EDMA_E_UNEXPECTED__QDMA_EVENT_MISS_DETECTED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-26)</td></tr>
<tr class="memdesc:gae154eaa7742103854aa852d2d6e1ce3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">During <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga363b8c42ca22f99f03e1c1aa079c3426">EDMA_startTransfer</a>, unexpected QDMA miss event detected. <br /></td></tr>
<tr class="separator:gae154eaa7742103854aa852d2d6e1ce3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad24b910d4a0a2ecc6053c13156d40a44"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad24b910d4a0a2ecc6053c13156d40a44"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gad24b910d4a0a2ecc6053c13156d40a44">EDMA_E_UNEXPECTED__EDMA_INSTANCE_REOPEN</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-27)</td></tr>
<tr class="memdesc:gad24b910d4a0a2ecc6053c13156d40a44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attempt to reopen and already opened instance. <br /></td></tr>
<tr class="separator:gad24b910d4a0a2ecc6053c13156d40a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d7684d6417fd6b8b12c3d1246ad1c77"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9d7684d6417fd6b8b12c3d1246ad1c77"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga9d7684d6417fd6b8b12c3d1246ad1c77">EDMA_E_UNEXPECTED__ATTEMPT_TO_TEST_COMPLETION</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-28)</td></tr>
<tr class="memdesc:ga9d7684d6417fd6b8b12c3d1246ad1c77"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attempt to issue <a class="el" href="group___e_d_m_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga13e7d75c91fb93b711c554ab02f06d19">EDMA_isTransferComplete</a> despite non-NULL completion call-back function. <br /></td></tr>
<tr class="separator:ga9d7684d6417fd6b8b12c3d1246ad1c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5876d3253693de877dbae235c6112ed2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5876d3253693de877dbae235c6112ed2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga5876d3253693de877dbae235c6112ed2">EDMA_E_OSAL__HWIP_CREATE_TRANSFER_COMPLETION_ISR_RETURNED_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-40)</td></tr>
<tr class="memdesc:ga5876d3253693de877dbae235c6112ed2"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_create returned NULL on transfer completion Isr creation. <br /></td></tr>
<tr class="separator:ga5876d3253693de877dbae235c6112ed2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaea4088c72c0b3df446894a1ff29c5a5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaaea4088c72c0b3df446894a1ff29c5a5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gaaea4088c72c0b3df446894a1ff29c5a5">EDMA_E_OSAL__HWIP_CREATE_ERROR_ISR_RETURNED_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-41)</td></tr>
<tr class="memdesc:gaaea4088c72c0b3df446894a1ff29c5a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_create returned NULL on CC error Isr creation. <br /></td></tr>
<tr class="separator:gaaea4088c72c0b3df446894a1ff29c5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab63cf96bb84f81ed7291735bf1b7290b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab63cf96bb84f81ed7291735bf1b7290b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gab63cf96bb84f81ed7291735bf1b7290b">EDMA_E_OSAL__HWIP_CREATE_TRANSFER_CONTROLLER_ERROR_ISRS_RETURNED_NULL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-42)</td></tr>
<tr class="memdesc:gab63cf96bb84f81ed7291735bf1b7290b"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_create returned NULL on one of transfer controller error Isrs creation. <br /></td></tr>
<tr class="separator:gab63cf96bb84f81ed7291735bf1b7290b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e1612bf8ad5899e5c35b554ff4e6c53"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga1e1612bf8ad5899e5c35b554ff4e6c53"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga1e1612bf8ad5899e5c35b554ff4e6c53">EDMA_E_OSAL__HWIP_DELETE_TRANSFER_COMPLETION_ISR_ERROR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-43)</td></tr>
<tr class="memdesc:ga1e1612bf8ad5899e5c35b554ff4e6c53"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_delete returned NULL on transfer completion Isr deletion. <br /></td></tr>
<tr class="separator:ga1e1612bf8ad5899e5c35b554ff4e6c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45f4b87b4c1aae1c5a3869b90748c3d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga45f4b87b4c1aae1c5a3869b90748c3d1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga45f4b87b4c1aae1c5a3869b90748c3d1">EDMA_E_OSAL__HWIP_DELETE_ERROR_ISR_ERROR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-44)</td></tr>
<tr class="memdesc:ga45f4b87b4c1aae1c5a3869b90748c3d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_delete returned NULL on CC error Isr deletion. <br /></td></tr>
<tr class="separator:ga45f4b87b4c1aae1c5a3869b90748c3d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf7078e7c1b67c7b4b75fddbbe3b582f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf7078e7c1b67c7b4b75fddbbe3b582f2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gaf7078e7c1b67c7b4b75fddbbe3b582f2">EDMA_E_OSAL__HWIP_DELETE_TRANSFER_CONTROLLER_ERROR_ISRS_ERROR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-45)</td></tr>
<tr class="memdesc:gaf7078e7c1b67c7b4b75fddbbe3b582f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">HwiP_delete returned NULL on one of transfer controller error Isrs deletion. <br /></td></tr>
<tr class="separator:gaf7078e7c1b67c7b4b75fddbbe3b582f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga225704bbf212c81ae280ad4ec052cd46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga225704bbf212c81ae280ad4ec052cd46"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#ga225704bbf212c81ae280ad4ec052cd46">EDMA_E_INUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-60)</td></tr>
<tr class="memdesc:ga225704bbf212c81ae280ad4ec052cd46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operation cannot be implemented because a previous operation is still not complete. <br /></td></tr>
<tr class="separator:ga225704bbf212c81ae280ad4ec052cd46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac43a253a8a5e42a3713f2b34fb5afb97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac43a253a8a5e42a3713f2b34fb5afb97"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___e_d_m_a___e_r_r_o_r___c_o_d_e_s.html#gac43a253a8a5e42a3713f2b34fb5afb97">EDMA_E_NOTIMPL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_EDMA_BASE-80)</td></tr>
<tr class="memdesc:gac43a253a8a5e42a3713f2b34fb5afb97"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operation is not implemented. <br /></td></tr>
<tr class="separator:gac43a253a8a5e42a3713f2b34fb5afb97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Base error code for the EDMA module is defined in the. </p>
<div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
